summaryrefslogtreecommitdiffstats
path: root/jjb/armband
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/armband')
-rw-r--r--jjb/armband/armband-ci-jobs.yml6
-rwxr-xr-xjjb/armband/armband-deploy.sh25
2 files changed, 26 insertions, 5 deletions
diff --git a/jjb/armband/armband-ci-jobs.yml b/jjb/armband/armband-ci-jobs.yml
index f100a46a8..25987328d 100644
--- a/jjb/armband/armband-ci-jobs.yml
+++ b/jjb/armband/armband-ci-jobs.yml
@@ -90,7 +90,7 @@
properties:
- throttle:
enabled: true
- max-total: 1
+ max-total: 4
max-per-node: 1
option: 'project'
- build-blocker:
@@ -152,12 +152,12 @@
- job-template:
name: '{installer}-deploy-{pod}-daily-{stream}'
- concurrent: false
+ concurrent: true
properties:
- throttle:
enabled: true
- max-total: 1
+ max-total: 4
max-per-node: 1
option: 'project'
- build-blocker:
diff --git a/jjb/armband/armband-deploy.sh b/jjb/armband/armband-deploy.sh
index fb4c1ead5..4041a6b14 100755
--- a/jjb/armband/armband-deploy.sh
+++ b/jjb/armband/armband-deploy.sh
@@ -62,8 +62,13 @@ fi
# releng wants us to use nothing else but opnfv.iso for now. We comply.
ISO_FILE=$WORKSPACE/opnfv.iso
+# log file name
+FUEL_LOG_FILENAME="${JOB_NAME}_${BUILD_NUMBER}.log.tar.gz"
+
# construct the command
-DEPLOY_COMMAND="$WORKSPACE/ci/deploy.sh -l $LAB_NAME -p $POD_NAME -b ${LAB_CONFIG_URL} -s $DEPLOY_SCENARIO -i file://${ISO_FILE} -H -B ${DEFAULT_BRIDGE:-pxebr} -S $TMPDIR"
+DEPLOY_COMMAND="$WORKSPACE/ci/deploy.sh -b ${LAB_CONFIG_URL} \
+ -l $LAB_NAME -p $POD_NAME -s $DEPLOY_SCENARIO -i file://${ISO_FILE} \
+ -H -B ${DEFAULT_BRIDGE:-pxebr} -S $TMPDIR -L $WORKSPACE/$FUEL_LOG_FILENAME"
# log info to console
echo "Deployment parameters"
@@ -83,7 +88,23 @@ echo "$DEPLOY_COMMAND"
echo
$DEPLOY_COMMAND
+exit_code=$?
echo
echo "--------------------------------------------------------"
-echo "Deployment is done successfully!"
+echo "Deployment is done!"
+
+# upload logs for baremetal deployments
+# work with virtual deployments is still going on so we skip that for the timebeing
+if [[ "$JOB_NAME" =~ "baremetal-daily" ]]; then
+ echo "Uploading deployment logs"
+ gsutil cp $WORKSPACE/$FUEL_LOG_FILENAME gs://$GS_URL/logs/$FUEL_LOG_FILENAME > /dev/null 2>&1
+ echo "Logs are available as http://$GS_URL/logs/$FUEL_LOG_FILENAME"
+fi
+
+if [[ $exit_code -ne 0 ]]; then
+ echo "Deployment failed!"
+ exit $exit_code
+else
+ echo "Deployment is successful!"
+fi